class_name State
extends Node

export var debug_state: bool = false
export var timeout_seconds: float = 0.0

signal state_entered()
signal state_exited()

# Declare member variables here. Examples:
var modifier_stack_ref: Array # Well this didn't work 
var state_timeout: Timer

# Called when the node enters the scene tree for the first time.
func _ready():
	pass # Replace with function body.


func enter() -> void:
	pass


func exit() -> void:
	pass

func process_input(_event: InputEvent) -> State:
	return null

func process_frame(_delta: float) -> State:
	return null

func process_physics(_delta: float) -> State:
	return null
